CotEditor は 1.0.1 が最終バージョンとなります。

20100707_coteditor

突然ですが、CotEdiotrの開発を停止します。
「停止します」と言っても、現行バージョンの公開(2009.05.01)からもう1年以上が経過していますので現状の確認の意味合いが強いのですが、ともかく、もしお待ちいただいている方がいればはっきりさせておかなければいけないと考えたのです。

原因は、とにかく時間が取れないということです。自分の気質では細切れの時間を使ってスイッチングしながら多くのタスクを処理するのがうまくできないのでどうしてもまとまった単位で時間が欲しいのですが、仕事や家族など環境や自分自身の変化により、それが困難になっていました。もちろんこの状態は今日始まったわけではなくいつか対処できるはずだと思っていましたし、過去には(一時的にせよ)対処できたこともあったのです。
しかし現在ではもう難しい状況です。もしかしたら、少しモチベーションも下がってしまっているのかもしれません。今後も想像してみると現状と大きく変わってくるとも思えず、わたしの手で次のバージョンを作成・公開するのは困難だと結論づけました。

GPLですし後継バージョン・ソフトを開発していただくのは大歓迎、いやぜひ開発していただきたいです。

現行バージョンに要望や修正の依頼も戴いていましたが果たせず、申し訳ありません。

今後も何かコードは書いていくと思いますが、このサイズのプロジェクトをメインで書く事はないと思います。そういう意味でも、わたしにとっては大きなソフトでした。
あたたかい言葉もたくさんいただき、ありがとうございます。ご利用・ご協力いただいたこともあわせて、感謝申し上げます。 🙂

2010/07/08 追記:CotEditor、引き継いでくださる方が決定しました。このエントリのタイトルは、間違い(1.0.1が最終ではない)となりました。感謝です!

カテゴリー: 自作ソフト タグ: パーマリンク


Fatal error: Uncaught Error: Call to undefined function advman_ad() in /home/cheetah/aynimac.com/public_html/wp/wp-content/themes/twentyten_2/single.php:62 Stack trace: #0 /home/cheetah/aynimac.com/public_html/wp/wp-includes/template-loader.php(74): include() #1 /home/cheetah/aynimac.com/public_html/wp/wp-blog-header.php(19): require_once('/home/cheetah/a...') #2 /home/cheetah/aynimac.com/public_html/index.php(17): require('/home/cheetah/a...') #3 {main} thrown in /home/cheetah/aynimac.com/public_html/wp/wp-content/themes/twentyten_2/single.php on line 62